## ntp 4.2.8p15+dfsg

=== libjsmn/Makefile ===
# You can put your build options here
-include config.mk

all: libjsmn.a 

libjsmn.a: jsmn.o
	$(AR) rc $@ $^

%.o: %.c jsmn.h
	$(CC) -c $(CFLAGS) $< -o $@

test: jsmn_test
	./jsmn_test

jsmn_test: jsmn_test.o
	$(CC) $(LDFLAGS) -L. -ljsmn $< -o $@

jsmn_test.o: jsmn_test.c libjsmn.a

simple_example: example/simple.o libjsmn.a
	$(CC) $(LDFLAGS) $^ -o $@

jsondump: example/jsondump.o libjsmn.a
	$(CC) $(LDFLAGS) $^ -o $@

clean:
	rm -f jsmn.o jsmn_test.o example/simple.o
	rm -f jsmn_test
	rm -f jsmn_test.exe
	rm -f libjsmn.a
	rm -f simple_example
	rm -f jsondump

.PHONY: all clean test

## ntp 4.2.4p8+dfsg

=== debian/changelog ===
ntp (1:4.2.4p8+dfsg-1ubuntu6) maverick; urgency=low

  * debian/rules: move dh_apparmor before dh_installinit

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 17:40:04 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu5) maverick; urgency=low

  * convert to dh_apparmor:
    - debian/rules, debian/ntp.postrm, debian/ntp.postinst: use dh_apparmor
    - control: Build-Depends on debhelper >= 7.4.20ubuntu5
  * debian/apparmor-profile: include local override
  * remove now unneeded debian/ntp.preinst

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 13:55:12 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu4) maverick; urgency=low

  * debian/dhcp.ntp: Dont remove *all* ntp server from ntp.conf.
    (LP: #575458) 
  * debian/apparmor-profile: Allow access to /dev/ttyS* 
    (LP: #596859)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Jun 2010 09:24:02 -0400

ntp (1:4.2.4p8+dfsg-1ubuntu3) maverick; urgency=low

  * debian/apparmor-profile: allow access to /var/log/ntpstats/sysstats*
    (LP: #574343)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 18 Jun 2010 07:54:24 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu2) lucid; urgency=low

  * debian/apparmor-profile: allow reading of /var/lib/ntp/ntp.conf.dhcp
    (LP: #517701)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Apr 2010 16:24:42 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    + debian/ntp.conf, debian/ntpdate.default: Change default server to
      ntp.ubuntu.com.
    + debian/ntpdate.ifup: Stop ntp before running ntpdate when an interface
      comes up, then start again afterwards.
    + debian/ntp.init, debian/rules: Only stop when entering single user mode.
    + Add enforcing AppArmor profile (LP: #382905):
      - debian/control: add Conflicts/Replaces on apparmor-profiles <
        2.3.1+1403-0ubuntu10 (since we are now shipping usr.sbin.ntpd) and
        apparmor < 2.3.1+1403-0ubuntu10 (since we are now shipping tunables/ntpd)
      - debian/control: add Suggests on apparmor
      - debian/ntp.dirs: add apparmor directories
      - debian/ntp.preinst: force complain on certain upgrades
      - debian/ntp.postinst: reload apparmor profile
      - debian/ntp.postrm: remove the force-complain file
      - add debian/apparmor-profile*
      - debian/rules: install apparmor-profile and apparmor-profile.tunable
      - debian/README.Debian: add note on AppArmor
    + debian/{control,rules}: add and enable hardened build for PIE
      (Debian bug 542721).
    + debian/apparmor-profile: adjust location of drift files (LP: #456308)
    + Dropped changes, merged in debian:
      - fix-nano.patch: Use mod_nano.patch from debian.
    + Dropped changes, superseded upstream/in Debian:
      - debian/patches/CVE-2009-1252.patch: No longer needed.
      - debian/patches/debian/patches/CVE-2009-0159.patch: No longer needed.

   [Chuck Short]
   + debian/rules, debian/ntp.dirs, debian/source_ntp.py: Add apport
     hook, apart of the server-lucid-apport-hooks specification.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Feb 2010 18:36:29 -0500

ntp (1:4.2.4p8+dfsg-1) unstable; urgency=high

  * New upstream release.
    - Fixes DoS with mode 7 packets (CVE-2009-3563) (Closes: #560074)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 08 Dec 2009 21:41:51 +0100

ntp (1:4.2.4p7+dfsg-4) unstable; urgency=low

  * Use uname -s instead of dpkg-architecture to found the kernel we're
    running on.  dpkg-architecture is part of dpkg-dev. (Closes: #558145)
  * Make the package fail to build on hurd since it does not provided
    the needed system calls for ntpd to work.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 26 Nov 2009 22:16:37 +0100

ntp (1:4.2.4p7+dfsg-3) unstable; urgency=low

  * Don't pass --enable-linuxcaps to configure anymore.  It now detects it
    itself when it's available, and it breaks on non-Linux systems.
  * Configure didn't know what to set certain options to on kfreebsd.
    Patch by Aurelien Jarno.  (Closes: #522696)
  * Running as user ntp does not work on kfreebsd because it doesn't support
    capabilities.  Adjust the init script to start as root.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 25 Nov 2009 20:03:58 +0100

ntp (1:4.2.4p7+dfsg-2) unstable; urgency=low

  * Refresh libedit patch because it's fuzzy and fails to apply on
    the buildds.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 21 Nov 2009 18:01:36 +0000

ntp (1:4.2.4p7+dfsg-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Fixed FTBFS because of missing MOD_NANO definition (closes: #552882)
  * Changed source format to 3.0 (quilt)

  [ Kurt Roeckx ]
  * New upstream version.
    - Remove patches for CVE-2009-1252.patch and CVE-2009-0159.patch,
      applied upstream
    - Regenerate patches to apply to the current version.
  * Detect that we run a kernel with nano support or not.  Otherwise
    it breaks when running on kernels older than 2.6.26.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 21 Nov 2009 17:27:11 +0100

ntp (1:4.2.4p6+dfsg-2) unstable; urgency=medium

  * Fixed typo in ntpdate man page (closes: #526086)
  * Updated standards version
  * Moved .dhcp version of configuration files to /var/lib/ntp and 
    /var/lib/ntpdate (closes: #524035)
  * Cleaned up man pages to satisfy lintian's hyphen-used-as-minus-sign
    complaint
  * Fixed limited buffer overflow in ntpq (CVE-2009-0159) (closes: #525373)
  * Fixed stack buffer overflow in ntpd (CVE-2009-1252) (closes: #525373)
  * Use new status_of_proc function to report status in ntp init script
  * Updated the config.guess/sub handling as recommended by autotools-dev to
    not clutter the diff, added autotools-dev to build dependencies

 -- Peter Eisentraut <petere@debian.org>  Fri, 12 Jun 2009 17:24:22 +0300

ntp (1:4.2.4p6+dfsg-2ubuntu4) lucid; urgency=low

  * debian/rules: install symlink for early loading of per-interface
    triggered ntp AppArmor profile.

 -- Kees Cook <kees@ubuntu.com>  Tue, 15 Dec 2009 11:35:33 -0800

ntp (1:4.2.4p6+dfsg-2ubuntu3) lucid; urgency=low



=== debian/control ===
Source: ntp
Section: net
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>
Build-Depends: autotools-dev, debhelper (>= 7.4.20ubuntu5), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), hardening-wrapper
Build-Conflicts: libavahi-compat-libdnssd-dev, libreadline-dev, libwww-dev, libwww-ssl-dev
Standards-Version: 3.8.1
Homepage: http://support.ntp.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-ntp/ntp/trunk/
Vcs-Svn: svn://svn.debian.org/pkg-ntp/ntp/trunk/

Package: ntp
Architecture: any
Depends: adduser, lsb-base (>= 3.2-13), netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${perl:Depends}
Suggests: ntp-doc, apparmor (>= 2.1+1075-0ubuntu6)
Conflicts: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
Replaces: logcheck-database, apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
Description: Network Time Protocol daemon and utility programs
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 This package contains the NTP daemon and utility programs.  An NTP
 daemon needs to be running on each host that is to have its clock
 accuracy controlled by NTP.  The same NTP daemon is also used to
 provide NTP service to other hosts.
 .
 For more information about the NTP protocol and NTP server
 configuration and operation, install the package "ntp-doc".

Package: ntpdate
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: lockfile-progs
Description: client for setting system time from NTP servers
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 ntpdate is a simple NTP client that sets a system's clock to match
 the time obtained by communicating with one or more NTP servers.  It
 is not sufficient, however, for maintaining an accurate clock in the
 long run.  ntpdate by itself is useful for occasionally setting the
 time on machines that do not have full-time network access, such as
 laptops.
 .
 If the full NTP daemon from the package "ntp" is installed, then
 ntpdate is not necessary.

Package: ntp-doc
Architecture: all
Section: doc
Description: Network Time Protocol documentation
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 This package contains HTML documentation for the ntp packages (ntp,
 ntpdate).  Since there are no substantive man pages for ntp's
 programs and configuration files, this package is desirable for any
 setup beyond the simple default configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

# hacks to avoid running these things during the build
export ACLOCAL    = : aclocal
export AUTOCONF   = : autoconf
export AUTOMAKE   = : automake
export AUTOHEADER = : autoheader

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CFLAGS = -g -fno-strict-aliasing
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

config.status:
	dh_testdir
ifeq (hurd, $(DEB_HOST_ARCH_OS))
	# hurd does not provided the system calls needed for ntpd to work.
	exit 1
endif
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .

	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='-D_GNU_SOURCE' \
		ac_cv_var_tick=no ac_cv_var_tickadj=no \
		--prefix=/usr \
		--enable-all-clocks --enable-parse-clocks --enable-SHM \
		--enable-debugging --sysconfdir=/var/lib/ntp \
		--with-sntp=no \
		--disable-dependency-tracking

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) -k distclean
	rm -f config.guess config.sub
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/ntp

	# move the administrator programs from /usr/bin to /usr/sbin
	for file in ntpdate ntp-wait ntpd ntptime ntp-keygen; do \
		mv debian/ntp/usr/bin/$$file debian/ntp/usr/sbin/$$file || exit; \
	done

	install -D -m 0755 scripts/ntpsweep debian/ntp/usr/bin/ntpsweep
	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp3/dhclient-exit-hooks.d/ntp
	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp3/dhclient-exit-hooks.d/ntpdate
	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian

	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf

	# remove upstream man pages, which are currently not as nice as ours
	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntpdsim.1 ntp-keygen.1 ntpq.1)

	rmdir debian/ntp/usr/lib/

	# install apparmor profile
	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd

	# install apport hook
	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py

	dh_movefiles --sourcedir=debian/ntp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i html
	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*
	dh_installexamples -i
	dh_installman -i
	dh_installcron -i
	dh_installlogcheck -i
	dh_installchangelogs -i
	dh_installifupdown -i
	dh_perl -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_apparmor -pntp --profile-name=usr.sbin.ntpd
	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 . stop 77 1 ." --error-handler=installinit_error
	dh_installinit -pntpdate
	dh_installcron -a
	dh_installlogcheck -a
	dh_installchangelogs -a
	dh_installifupdown -a
	dh_perl -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ntp 4.2.6.p2+dfsg

=== debian/changelog ===
ntp (1:4.2.6.p2+dfsg-1+b1jasp1) unstable; urgency=low

  * Maintenance.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 26 Jan 2014 11:48:25 +0100

ntp (1:4.2.6.p2+dfsg-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Update command options section in ntp.conf(5) man page, drop "dynamic"
    option (closes: #553976, #439734)
  * Document ntpd -I option and ntp.conf interface command (closes: #506389)
  * Fix type in ntpdate man page (closes: #566621)
  * Added explanation of options to ntptrace man page (closes: #558289)
  * Removed no longer needed build conflict against libreadline-dev

  [ Kurt Roeckx ]
  * New upstream version.
    - Fixes problem with ipv6 multicast (Closes: #584927)
  * Move dhcp exit hooks from /etc/dhcp3/dhclient-enter-hooks.d to
    /etc/dhcp/dhclient-enter-hooks.d.  Add dpkg-maintscript-helper
    to maintainer scripts to move them, and add a Breaks on
    dhcp3-client (<< 4.1.0-1) (Closes: #585054, #585055)
  * Remove ntp's Replaces on logcheck-database, we don't ship log
    logcheck entries anymore for ntp.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 13 Jul 2010 20:33:47 +0200

ntp (1:4.2.6.p1+dfsg-1) unstable; urgency=low

  * New upstream version
    - They no longer ship arlib, adjust dfsg.patch.
    - Drop kfreebsd.patch, applied upstream
    - Update patches for upstream changes.
  * Remove the obsolete config files:

    for ntp:
    - /etc/logcheck/ignore.d.server/ntp, removed in 1:4.2.6+dfsg-1
    - /etc/dhcp3/dhclient-enter-hooks.d/ntp, replaced by exit hooks in
      1:4.2.4p4+dfsg-3
    - /etc/network/if-up.d/ntp, removed in 1:4.2.4p0+dfsg-1

    for ntpdate:
    - /etc/dhcp3/dhclient-enter-hooks.d/ntpdate, replaced by exit hooks in
      1:4.2.4p4+dfsg-3

    Use dpkg 1.15.7.2's dpkg-maintscript-helper.  This needs
    a Pre-Depends to work, else it's never going to be removed.
    (Closes: #569530)
  * Add "Depends: ${misc:Depends}" to ntp-doc.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 24 May 2010 11:09:51 +0200

ntp (1:4.2.6+dfsg-1) unstable; urgency=low

  * New upstream version
    - They no longer use the built in md5 with unclear license: adjust
      dfsg.sh and dfsg.patch.
    - Location of the html pages has changed location: adjust dfsg.sh
    - Remove ntptimeval.patch and ntptrace-getopt.patch, applied upstream.
    - Change libedit.patch and call configure with
      --with-lineeditlibs=edit instead.
    - Update nanokernel-status.patch to also do it for the new
      direct_freq() function.
    - includes.diff: Stop including ntp_refclock.h, since it breaks things.
    - Upstream no longer provides an ntpdsim.1 manpage, so don't try to
      to remove it.
  * Use the system libopts instead of the internal copy: add build-dependency
    on autogen, call configure with --disable-local-libopts.  There is also
    no need anymore to remove the usr/lib dir.
  * Remove ntp_gettime.patch, it wasn't used, and we have libc calls that
    wrap adjtimex now anyway.
  * Remove the doc.patch, it's either just wrong or more confusing than the
    original text.
  * Merge the ntpd-char-fix.patch into ntpd-ni-maxhost.patch
  * Fix kfreebsd.patch's comment to be about the right patch.
  * Add comment to dfsg.patch
  * Update autotools.patch's comment on how to recreate it.
  * Split ntpd-linux-caps.patch in ntpd-linux-caps-runtime.patch and
    ntpd-linux-caps-inheritable.patch and add comments
  * Don't run init script to stop ntpd, just let sendsigs/killprocs deal
    with it.  (Closes: #540694)
  * Compile with --enable-ntp-signd to enable mssntp for use with samba
    (Closes: #562065)
  * Remove ntp.logcheck.ignore.server, none of those messages are
    send to syslog now.  (Closes: #498992)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 26 Dec 2009 14:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: autotools-dev, debhelper (>= 7.4.20ubuntu5), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), hardening-wrapper
-Build-Conflicts: libavahi-compat-libdnssd-dev, libreadline-dev, libwww-dev, libwww-ssl-dev
-Standards-Version: 3.8.1
+Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
+Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>,
+ Javier Serrano Polo <javier@jasp.net>
+Build-Depends: autotools-dev, debhelper (>= 6), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), autogen
+Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
+Standards-Version: 3.9.1
 Homepage: http://support.ntp.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-ntp/ntp/trunk/
 Vcs-Svn: svn://svn.debian.org/pkg-ntp/ntp/trunk/
@@ -14,10 +14,10 @@
 Package: ntp
 Architecture: any
 Depends: adduser, lsb-base (>= 3.2-13), netbase, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ${perl:Depends}
-Suggests: ntp-doc, apparmor (>= 2.1+1075-0ubuntu6)
-Conflicts: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
-Replaces: logcheck-database, apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
+Suggests: ntp-doc
+Breaks: dhcp3-client (<< 4.1.0-1)
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
@@ -35,7 +35,9 @@
 Package: ntpdate
 Architecture: any
 Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: lockfile-progs
+Breaks: dhcp3-client (<< 4.1.0-1)
 Description: client for setting system time from NTP servers
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
@@ -54,6 +56,7 @@
 
 Package: ntp-doc
 Architecture: all
+Depends: ${misc:Depends}
 Section: doc
 Description: Network Time Protocol documentation
  NTP, the Network Time Protocol, is used to keep computer clocks

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_HARDENING=1
 
 # hacks to avoid running these things during the build
 export ACLOCAL    = : aclocal
@@ -24,13 +22,15 @@
 	exit 1
 endif
 	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
-
 	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='-D_GNU_SOURCE' \
 		ac_cv_var_tick=no ac_cv_var_tickadj=no \
 		--prefix=/usr \
 		--enable-all-clocks --enable-parse-clocks --enable-SHM \
-		--enable-debugging --sysconfdir=/var/lib/ntp \
+		--disable-debugging --sysconfdir=/var/lib/ntp \
 		--with-sntp=no \
+		--with-lineeditlibs=edit \
+		--disable-local-libopts \
+		--enable-ntp-signd \
 		--disable-dependency-tracking
 
 build: build-stamp
@@ -61,24 +61,14 @@
 	done
 
 	install -D -m 0755 scripts/ntpsweep debian/ntp/usr/bin/ntpsweep
-	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp3/dhclient-exit-hooks.d/ntp
-	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp3/dhclient-exit-hooks.d/ntpdate
+	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
+	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
 	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian
 
 	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf
 
 	# remove upstream man pages, which are currently not as nice as ours
-	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntpdsim.1 ntp-keygen.1 ntpq.1)
-
-	rmdir debian/ntp/usr/lib/
-
-	# install apparmor profile
-	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
-	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
-	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd
-
-	# install apport hook
-	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py
+	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1)
 
 	dh_movefiles --sourcedir=debian/ntp
 
@@ -107,8 +97,7 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installman -a
-	dh_apparmor -pntp --profile-name=usr.sbin.ntpd
-	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 . stop 77 1 ." --error-handler=installinit_error
+	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 ." --error-handler=installinit_error
 	dh_installinit -pntpdate
 	dh_installcron -a
 	dh_installlogcheck -a

## ntp 4.2.6.p3+dfsg

=== debian/changelog ===
ntp (1:4.2.6.p3+dfsg-1ubuntu3.13) precise-security; urgency=medium

  * SECURITY UPDATE: crash or possible code execution via a long string as
    the ipv4 host argument
    - debian/patches/CVE-2018-12327.patch prevent overflow of host
      in openhost() in ntpq/ntpq.c and ntpdc/ntpdc.c.
    - CVE-2018-12327

 -- Mark Morlino <mark.morlino@canonical.com>  Mon, 06 Jan 2020 09:38:04 -0500

ntp (1:4.2.6.p3+dfsg-1ubuntu3.12) precise-security; urgency=medium

  * SECURITY UPDATE: DoS via responses with a spoofed source address
    - debian/patches/CVE-2016-7426.patch: improve rate limiting in
      ntpd/ntp_proto.c.
    - CVE-2016-7426
  * SECURITY UPDATE: DoS via crafted broadcast mode packet
    - debian/patches/CVE-2016-7427-1.patch: improve replay prevention
      logic in ntpd/ntp_proto.c.
    - CVE-2016-7427
  * SECURITY UPDATE: DoS via poll interval in a broadcast packet
    - debian/patches/CVE-2016-7428.patch: ensure at least one poll interval
      has elapsed in ntpd/ntp_proto.c, include/ntp.h.
    - CVE-2016-7428
  * SECURITY UPDATE: traps can be set or unset via a crafted control mode
    packet
    - debian/patches/CVE-2016-9310.patch: require AUTH in
      ntpd/ntp_control.c.
    - CVE-2016-9310
  * SECURITY UPDATE: DoS when trap service is enabled
    - debian/patches/CVE-2016-9311.patch: make sure peer events are
      associated with a peer in ntpd/ntp_control.c.
    - CVE-2016-9311
  * SECURITY UPDATE: buffer overflow in DPTS refclock driver
    - debian/patches/CVE-2017-6462.patch: don't overrun buffer in
      ntpd/refclock_datum.c.
    - CVE-2017-6462
  * SECURITY UPDATE: DoS via invalid setting in a :config directive
    - debian/patches/CVE-2017-6463.patch: protect against overflow in
      ntpd/ntp_config.c.
    - CVE-2017-6463
  * SECURITY UPDATE: code execution via buffer overflow in decodearr
    - debian/patches/CVE-2018-7183.patch: prevent writing beyons limits in
      ntpq/ntpq.c.
    - CVE-2018-7183
  * SECURITY UPDATE: DoS via certain packets with a zero-origin timestamp
    - debian/patches/CVE-2018-7185.patch: add additional checks to
      ntpd/ntp_proto.c.
    - CVE-2018-7185

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 22 Jan 2019 14:06:32 -0300

ntp (1:4.2.6.p3+dfsg-1ubuntu3.11) precise-security; urgency=medium

  * SECURITY UPDATE: Deja Vu replay attack on authenticated broadcast mode
    - debian/patches/CVE-2015-7973.patch: improve timestamp verification in
      include/ntp.h, ntpd/ntp_proto.c.
    - CVE-2015-7973
  * SECURITY UPDATE: impersonation between authenticated peers
    - debian/patches/CVE-2015-7974.patch: check key ID in ntpd/ntp_proto.c.
    - CVE-2015-7974
  * SECURITY UPDATE: ntpq saveconfig command allows dangerous characters in
    filenames
    - debian/patches/CVE-2015-7976.patch: check filename in
      ntpd/ntp_control.c.
    - CVE-2015-7976
  * SECURITY UPDATE: restrict list denial of service
    - debian/patches/CVE-2015-7977-7978.patch: improve restrict list
      processing in ntpd/ntp_request.c.
    - CVE-2015-7977
    - CVE-2015-7978
  * SECURITY UPDATE: authenticated broadcast mode off-path denial of
    service
    - debian/patches/CVE-2015-7979.patch: add more checks to
      ntpd/ntp_proto.c.
    - CVE-2015-7979
    - CVE-2016-1547
  * SECURITY UPDATE: Zero Origin Timestamp Bypass
    - debian/patches/CVE-2015-8138.patch: check p_org in ntpd/ntp_proto.c.
    - CVE-2015-8138
  * SECURITY UPDATE: potential infinite loop in ntpq
    - debian/patches/CVE-2015-8158.patch: add time checks to ntpdc/ntpdc.c,
      ntpq/ntpq.c.
    - CVE-2015-8158
  * SECURITY UPDATE: NTP statsdir cleanup cronjob insecure (LP: #1528050)
    - debian/ntp.cron.daily: fix security issues, patch thanks to halfdog!
    - CVE-2016-0727
  * SECURITY UPDATE: time spoofing via interleaved symmetric mode
    - debian/patches/CVE-2016-1548.patch: check for bogus packets in
      ntpd/ntp_proto.c.
    - CVE-2016-1548
  * SECURITY UPDATE: buffer comparison timing attacks
    - debian/patches/CVE-2016-1550.patch: use CRYPTO_memcmp in
      libntp/a_md5encrypt.c, sntp/crypto.c.
    - CVE-2016-1550
  * SECURITY UPDATE: DoS via duplicate IPs on unconfig directives
    - debian/patches/CVE-2016-2516.patch: improve logic in
      ntpd/ntp_request.c.
    - CVE-2016-2516
  * SECURITY UPDATE: denial of service via crafted addpeer
    - debian/patches/CVE-2016-2518.patch: check mode value in
      ntpd/ntp_request.c.
    - CVE-2016-2518
  * SECURITY UPDATE: denial of service via spoofed packets
    - debian/patches/CVE-2016-4954.patch: discard packet that fails tests
      in ntpd/ntp_proto.c.
    - CVE-2016-4954
  * SECURITY UPDATE: denial of service via spoofed crypto-NAK or incorrect
    MAC
    - debian/patches/CVE-2016-4955.patch: fix checks in ntpd/ntp_proto.c.
    - CVE-2016-4955
  * SECURITY UPDATE: denial of service via spoofed broadcast packet
    - debian/patches/CVE-2016-4956.patch: properly handle switch in
      broadcast interleaved mode in ntpd/ntp_proto.c.
    - CVE-2016-4956

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Oct 2016 08:19:03 -0400

ntp (1:4.2.6.p3+dfsg-1ubuntu3.9) precise; urgency=medium

  * ntpd rejects source UDP ports less than 123 as bogus (closes: #691412)
    - d/p/reject-UDP-ports-less-than-123-as-bogus.patch (LP: #1479652) 

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 25 Jan 2016 12:28:25 -0500

ntp (1:4.2.6.p3+dfsg-1ubuntu3.8) precise; urgency=medium

  * Use a single lockfile again - instead unlock the file before starting the
    init script. The lock sho uld be shared - both services can't run at the
    same time. (LP: #1125726)

 -- Cam Cope <mail@camcope.me>  Tue, 19 Jan 2016 10:20:07 +0000

ntp (1:4.2.6.p3+dfsg-1ubuntu3.7) precise; urgency=medium

  * Fix use-after-free in routing socket code (closes: #795315)
    - debian/patches/use-after-free-in-routing-socket.patch: 
      fix logic in ntpd/ntp_io.c (LP: #1481388)



=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>,
- Javier Serrano Polo <javier@jasp.net>
-Build-Depends: autotools-dev, debhelper (>= 6), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), autogen
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
+Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>
+Build-Depends: autotools-dev, debhelper (>= 6), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), autogen (>= 1:5.11), hardening-wrapper, dh-apparmor, bison
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.8.1
 Homepage: http://support.ntp.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-ntp/ntp/trunk/
 Vcs-Svn: svn://svn.debian.org/pkg-ntp/ntp/trunk/
@@ -16,7 +16,9 @@
 Depends: adduser, lsb-base (>= 3.2-13), netbase, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ${perl:Depends}
-Suggests: ntp-doc
+Suggests: ntp-doc, apparmor (>= 2.1+1075-0ubuntu6)
+Conflicts: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
+Replaces: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
 Breaks: dhcp3-client (<< 4.1.0-1)
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
 
 # hacks to avoid running these things during the build
 export ACLOCAL    = : aclocal
 export AUTOCONF   = : autoconf
 export AUTOMAKE   = : automake
 export AUTOHEADER = : autoheader
+
+genfiles:=ntpd/ntp_parser.c ntpd/ntp_parser.h
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -22,16 +26,20 @@
 	exit 1
 endif
 	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
+	# backup autogenerated files
+	for f in $(genfiles); do mv -f $$f $$f.backup; done
+
 	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='-D_GNU_SOURCE' \
 		ac_cv_var_tick=no ac_cv_var_tickadj=no \
 		--prefix=/usr \
 		--enable-all-clocks --enable-parse-clocks --enable-SHM \
-		--disable-debugging --sysconfdir=/var/lib/ntp \
+		--enable-debugging --sysconfdir=/var/lib/ntp \
 		--with-sntp=no \
 		--with-lineeditlibs=edit \
 		--disable-local-libopts \
 		--enable-ntp-signd \
-		--disable-dependency-tracking
+		--disable-dependency-tracking \
+		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 build: build-stamp
 build-stamp: config.status
@@ -45,6 +53,10 @@
 	rm -f build-stamp 
 	[ ! -f Makefile ] || $(MAKE) -k distclean
 	rm -f config.guess config.sub
+	# restore autogenerated files
+	for f in $(genfiles); do \
+		[ ! -e $$f.backup ] || ( rm -rf $$f; mv $$f.backup $$f ) ; \
+	done
 	dh_clean
 
 install: build-stamp
@@ -69,6 +81,14 @@
 
 	# remove upstream man pages, which are currently not as nice as ours
 	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1)
+
+	# install apparmor profile
+	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
+	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
+	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd
+
+	# install apport hook
+	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py
 
 	dh_movefiles --sourcedir=debian/ntp
 
@@ -97,7 +117,8 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installman -a
-	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 ." --error-handler=installinit_error
+	dh_apparmor -pntp --profile-name=usr.sbin.ntpd
+	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 . stop 77 1 ." --error-handler=installinit_error
 	dh_installinit -pntpdate
 	dh_installcron -a
 	dh_installlogcheck -a

## ntp 4.2.6.p5%2bdfsg

=== debian/changelog ===
ntp (1:4.2.6.p5+dfsg-3ubuntu2.14.04.10) trusty-security; urgency=medium

  * SECURITY UPDATE: Deja Vu replay attack on authenticated broadcast mode
    - debian/patches/CVE-2015-7973.patch: improve timestamp verification in
      include/ntp.h, ntpd/ntp_proto.c.
    - CVE-2015-7973
  * SECURITY UPDATE: impersonation between authenticated peers
    - debian/patches/CVE-2015-7974.patch: check key ID in ntpd/ntp_proto.c.
    - CVE-2015-7974
  * SECURITY UPDATE: ntpq saveconfig command allows dangerous characters in
    filenames
    - debian/patches/CVE-2015-7976.patch: check filename in
      ntpd/ntp_control.c.
    - CVE-2015-7976
  * SECURITY UPDATE: restrict list denial of service
    - debian/patches/CVE-2015-7977-7978.patch: improve restrict list
      processing in ntpd/ntp_request.c.
    - CVE-2015-7977
    - CVE-2015-7978
  * SECURITY UPDATE: authenticated broadcast mode off-path denial of
    service
    - debian/patches/CVE-2015-7979.patch: add more checks to
      ntpd/ntp_proto.c.
    - CVE-2015-7979
    - CVE-2016-1547
  * SECURITY UPDATE: Zero Origin Timestamp Bypass
    - debian/patches/CVE-2015-8138.patch: check p_org in ntpd/ntp_proto.c.
    - CVE-2015-8138
  * SECURITY UPDATE: potential infinite loop in ntpq
    - debian/patches/CVE-2015-8158.patch: add time checks to ntpdc/ntpdc.c,
      ntpq/ntpq.c.
    - CVE-2015-8158
  * SECURITY UPDATE: NTP statsdir cleanup cronjob insecure (LP: #1528050)
    - debian/ntp.cron.daily: fix security issues, patch thanks to halfdog!
    - CVE-2016-0727
  * SECURITY UPDATE: time spoofing via interleaved symmetric mode
    - debian/patches/CVE-2016-1548.patch: check for bogus packets in
      ntpd/ntp_proto.c.
    - CVE-2016-1548
  * SECURITY UPDATE: buffer comparison timing attacks
    - debian/patches/CVE-2016-1550.patch: use CRYPTO_memcmp in
      libntp/a_md5encrypt.c, sntp/crypto.c.
    - CVE-2016-1550
  * SECURITY UPDATE: DoS via duplicate IPs on unconfig directives
    - debian/patches/CVE-2016-2516.patch: improve logic in
      ntpd/ntp_request.c.
    - CVE-2016-2516
  * SECURITY UPDATE: denial of service via crafted addpeer
    - debian/patches/CVE-2016-2518.patch: check mode value in
      ntpd/ntp_request.c.
    - CVE-2016-2518
  * SECURITY UPDATE: denial of service via spoofed packets
    - debian/patches/CVE-2016-4954.patch: discard packet that fails tests
      in ntpd/ntp_proto.c.
    - CVE-2016-4954
  * SECURITY UPDATE: denial of service via spoofed crypto-NAK or incorrect
    MAC
    - debian/patches/CVE-2016-4955.patch: fix checks in ntpd/ntp_proto.c.
    - CVE-2016-4955
  * SECURITY UPDATE: denial of service via spoofed broadcast packet
    - debian/patches/CVE-2016-4956.patch: properly handle switch in
      broadcast interleaved mode in ntpd/ntp_proto.c.
    - CVE-2016-4956

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Oct 2016 08:13:23 -0400

ntp (1:4.2.6.p5+dfsg-3ubuntu2.14.04.8) trusty; urgency=medium

  * ntpd rejects source UDP ports less than 123 as bogus (closes: #691412)
    - d/p/reject-UDP-ports-less-than-123-as-bogus.patch (LP: #1479652) 

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 25 Jan 2016 11:39:44 -0500

ntp (1:4.2.6.p5+dfsg-3ubuntu2.14.04.7) trusty; urgency=medium

  * Use a single lockfile again - instead unlock the file before starting the
    init script. The lock sho uld be shared - both services can't run at the
    same time. (LP: #1125726)

 -- Cam Cope <mail@camcope.me>  Tue, 19 Jan 2016 10:22:39 +0000

ntp (1:4.2.6.p5+dfsg-3ubuntu2.14.04.6) trusty; urgency=medium

  * Fix use-after-free in routing socket code (closes: #795315)
    - debian/patches/use-after-free-in-routing-socket.patch: 
      fix logic in ntpd/ntp_io.c (LP: #1481388)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 29 Oct 2015 09:34:22 -0400

ntp (1:4.2.6.p5+dfsg-3ubuntu2.14.04.5) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted NUL-byte in
    configuration directive
    - debian/patches/CVE-2015-5146.patch: properly validate command in
      ntpd/ntp_control.c.
    - CVE-2015-5146
  * SECURITY UPDATE: denial of service via malformed logconfig commands
    - debian/patches/CVE-2015-5194.patch: fix logconfig logic in
      ntpd/ntp_parser.y.
    - CVE-2015-5194
  * SECURITY UPDATE: denial of service via disabled statistics type
    - debian/patches/CVE-2015-5195.patch: handle unrecognized types in
      ntpd/ntp_config.c.
    - CVE-2015-5195
  * SECURITY UPDATE: file overwrite via remote pidfile and driftfile
    configuration directives
    - debian/patches/CVE-2015-5196.patch: disable remote configuration in
      ntpd/ntp_parser.y.
    - CVE-2015-5196
    - CVE-2015-7703
  * SECURITY UPDATE: denial of service via precision value conversion
    - debian/patches/CVE-2015-5219.patch: use ldexp for LOGTOD in
      include/ntp.h.
    - CVE-2015-5219
  * SECURITY UPDATE: timeshifting by reboot issue
    - debian/patches/CVE-2015-5300.patch: disable panic in
      ntpd/ntp_loopfilter.c.
    - CVE-2015-5300
  * SECURITY UPDATE: incomplete autokey data packet length checks
    - debian/patches/CVE-2015-7691.patch: add length and size checks to
      ntpd/ntp_crypto.c.
    - CVE-2015-7691
    - CVE-2015-7692
    - CVE-2015-7702
  * SECURITY UPDATE: memory leak in CRYPTO_ASSOC
    - debian/patches/CVE-2015-7701.patch: add missing free in
      ntpd/ntp_crypto.c.
    - CVE-2015-7701
  * SECURITY UPDATE: denial of service by spoofed KoD
    - debian/patches/CVE-2015-7704.patch: add check to ntpd/ntp_proto.c.
    - CVE-2015-7704
    - CVE-2015-7705
  * SECURITY UPDATE: denial of service via same logfile and keyfile
    - debian/patches/CVE-2015-7850.patch: rate limit errors in
      include/ntp_stdlib.h, include/ntp_syslog.h, libntp/authreadkeys.c,
      libntp/msyslog.c.
    - CVE-2015-7850
  * SECURITY UPDATE: ntpq atoascii memory corruption
    - debian/patches/CVE-2015-7852.patch: avoid buffer overrun in
      ntpq/ntpq.c.
    - CVE-2015-7852


## ntp 4.2.6.p5+dfsg

=== debian/changelog ===
ntp (1:4.2.6.p5+dfsg-7) unstable; urgency=medium

  * Fix endless loop and non-random key generation using
    ntp-keygen on big endian machines.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 10 Apr 2015 21:01:32 +0200

ntp (1:4.2.6.p5+dfsg-6) unstable; urgency=high

  * Fix CVE-2015-1798 and CVE-2015-1799 (Closes: #782095)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 10 Apr 2015 20:08:24 +0200

ntp (1:4.2.6.p5+dfsg-5) unstable; urgency=high

  * Add missing fix for CVE-2014-9297

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 07 Feb 2015 12:20:44 +0100

ntp (1:4.2.6.p5+dfsg-4) unstable; urgency=medium

  * Fix CVE-2014-9297
  * Fix CVE-2014-9298

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 05 Feb 2015 00:27:36 +0100

ntp (1:4.2.6.p5+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fixes for security updates (Closes: 773576)
    - cve-2014-9293
    - cve-2014-9294
    - cve-2014-9295
    - cve-2014-9296

 -- Noah Meyerhans <noahm@debian.org>  Sun, 21 Dec 2014 12:01:50 -0800

ntp (1:4.2.6.p5+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to ensure configurey is updated for new architectures

 -- Wookey <wookey@debian.org>  Tue, 15 Jul 2014 11:54:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
+Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: autotools-dev, debhelper (>= 6), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), autogen (>= 1:5.11), hardening-wrapper, dh-apparmor, bison
+Build-Depends: dh-autoreconf, debhelper (>= 6), libedit-dev, libcap2-dev [linux-any], libssl-dev (>= 1.0.0e-1), autogen (>= 1:5.11)
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
-Standards-Version: 3.8.1
+Standards-Version: 3.9.3
 Homepage: http://support.ntp.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-ntp/ntp/trunk/
 Vcs-Svn: svn://svn.debian.org/pkg-ntp/ntp/trunk/
@@ -16,9 +15,7 @@
 Depends: adduser, lsb-base (>= 3.2-13), netbase, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ${perl:Depends}
-Suggests: ntp-doc, apparmor (>= 2.1+1075-0ubuntu6)
-Conflicts: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
-Replaces: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
+Suggests: ntp-doc
 Breaks: dhcp3-client (<< 4.1.0-1)
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -fno-strict-aliasing
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

config.status:
	dh_testdir
ifeq (hurd, $(DEB_HOST_ARCH_OS))
	# hurd does not provided the system calls needed for ntpd to work.
	exit 1
endif
	dh_autoreconf
	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
		--prefix=/usr \
		--enable-all-clocks --enable-parse-clocks --enable-SHM \
		--disable-debugging --sysconfdir=/var/lib/ntp \
		--with-sntp=no \
		--with-lineeditlibs=edit \
		--without-ntpsnmpd \
		--disable-local-libopts \
		--enable-ntp-signd \
		--disable-dependency-tracking \
		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) -k distclean
	dh_autoreconf_clean
	rm -f Makefile sntp/Makefile
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/ntp

	# move the administrator programs from /usr/bin to /usr/sbin
	for file in ntpdate ntp-wait ntpd ntptime ntp-keygen; do \
		mv debian/ntp/usr/bin/$$file debian/ntp/usr/sbin/$$file || exit; \
	done

	# don't install tickadj
	rm debian/ntp/usr/bin/tickadj

	install -D -m 0755 scripts/ntpsweep debian/ntp/usr/bin/ntpsweep
	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian

	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf

	# remove upstream man pages, which are currently not as nice as ours / ntpsnmpd we don't want
	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1 ntpsnmpd.1)

	dh_movefiles --sourcedir=debian/ntp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i html
	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*
	dh_installexamples -i
	dh_installman -i
	dh_installcron -i
	dh_installlogcheck -i
	dh_installchangelogs -i
	dh_installifupdown -i
	dh_perl -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 ." --error-handler=installinit_error
	dh_installinit -pntpdate
	dh_installcron -a
	dh_installlogcheck -a
	dh_installchangelogs -a
	dh_installifupdown -a
	dh_perl -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
